#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

# start
#
echo "Pre-installing for Main Program..."

# pre-install
#
rm -fr /etc/rc.d/rc*.d/*ntp
rm -fr /etc/rc.d/rc*.d/*fontine
rm -fr /lib/modules/2.4.20_n20-mpu300/v4l2
rm -fr /tmp/*.log
if [ ! -e /proc/bus/usb/devices ]; then
    echo "none /proc/bus/usb usbdevfs defaults 0 0" >> /etc/fstab
fi
if [ ! -e /var/lib/logrotate ]; then
    mkdir -m=u=rwx,go=rx /var/lib/logrotate
fi
if [ ! -e /var/log/helix ]; then
    mkdir -m=u=rwx,go=rx /var/log/helix
fi
touch /var/log/encoder.err
touch /var/log/encoder.info
touch /var/log/helix/error.log
touch /var/log/helix/cache.log
touch /var/log/helix/access.log
touch /var/log/helix/rss.log
touch /var/log/helix/rss.log.0
rm -fr /var/log/*.[1-9]
rm -fr /etc/logrotate.d/apache
rm -fr /etc/logrotate.d/samba
rm -fr /etc/logrotate.d/squid
rm -fr /etc/logrotate.d/wu-ftpd
rm -fr /etc/logrotate.d/zebra
if [ ! -e /anycast/fontine ]; then
    mkdir -p -m=u=rwx,go=rx /anycast/fontine/ttf
fi
if [ ! -e /usr/local/fontine ]; then
    mkdir -p -m=u=rwx,go=rx /usr/local/fontine
fi
if [ ! -e /usr/local/fontine/var ]; then
    ln -s /anycast/fontine /usr/local/fontine/var
fi

# end
#
echo "done."
