:
# msformat.sh
# 2004.09.01

case "${1}" in
"-ms")
	# memory stick
	typ=1
	shift
	;;
"-fm")
	# flush memory
	typ=2
	shift
	;;
*)
	typ=1
	;;
esac

case $# in
1)
	opt="-v -I --full_format --device_side --process"
	op2="-v -I --quick_format --device_side --process"
	trg=${1}
	out=/usr/local/anycast/var/WORK/meflg
	mrk=/usr/local/anycast/var/WORK/mpflg
	;;
3)
	opt="-I --full_format --device_side --process=${1}"
	op2="-v -I --quick_format --device_side --process"
	trg=${2}
	out=${3}
	;;
*)
	# parameter ng
	echo "usage : ${0} {[-ms]|-fm} [msgkey status_file] pid_file"
	exit 1
esac

case $typ in
1)
	/usr/sbin/msmkdosfs ${opt} "${trg}" > /dev/null 2>&1
	/usr/sbin/msmkdosfs ${op2} "${trg}" > /dev/null 2>&1
	ext=$?
	;;
2)
	/sbin/sfdisk ${trg} > /dev/null 2>&1 << EOF
0,,b
EOF
	ext=$?
	if test $ext -eq 0
	then
		/sbin/mkfs.msdos ${trg}1 > /dev/null 2>&1
		ext=$?
	fi
	;;
esac

echo ${ext} > ${out}

exit ${ext}
