#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

# start
#
echo "Post-installing for Main Program..."

# post-install
#
OBJFILE="/opt/anycast/install/build/anycast-fontine-*.tgz"
INS_DIR="usr/local/fontine/var/ttf"
FON_DIR="/anycast/fontine/ttf"
TMP_DIR="/tmp"
TTF1="HGRHG5.TTF"
TTF2="HGRHR4.TTF"
TTF3="HGRHR8.TTF"
FILE1=$INS_DIR/$TTF1
FILE2=$INS_DIR/$TTF2
FILE3=$INS_DIR/$TTF3
FONT1=$FON_DIR/$TTF1
FONT2=$FON_DIR/$TTF2
FONT3=$FON_DIR/$TTF3
if [ ! -e $FONT1 -o ! -e $FONT2 -o ! -e $FONT3 ]; then
    cd $TMP_DIR
    tar xfz $OBJFILE $FILE1 $FILE2 $FILE3
    mv -f $FILE1 $FILE2 $FILE3 $FON_DIR/.
    rmdir -p $INS_DIR
fi

# end
#
echo "done."
